KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm upgrade node phase preflight - Run upgrade node pre-flight checks

SYNOPSIS

kubeadm upgrade node phase preflight [OPTIONS]

DESCRIPTION

Run pre-flight checks for kubeadm upgrade node.

OPTIONS

--config=""
    Path to a kubeadm configuration file.

--ignore-preflight-errors=[]
    A list of checks whose errors will be shown as warnings. Example: 'IsPrivilegedUser,Swap'. Value 'all' ignores errors from all checks.

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-upgrade-node-phase(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!